-- options-frame functions
function XPExtendedOptions_OnLoad()
	UIPanelWindows['HelloWorldOptionsFrame'] = {area = 'center', pushable = 0};
end
function XPExtendedOptions_Vars()
	XPExtendedOptions_TextToggleButton:SetChecked(XPExtended_ShowText);
	XPExtendedOptions_RepToggleButton:SetChecked(XPExtended_ShowRep);
	XPExtendedOptions_TextSizeSlider:SetValue(XPExtended_TextSize);
end
function XPExtendedOptions_OnHide(frame)
	if (MYADDONS_ACTIVE_OPTIONSFRAME == frame) then
		ShowUIPanel(myAddOnsFrame);
	end
end
-- when something is changed
function XPExtendedOptions_TextToggle()
	if(XPExtended_ShowText == "true") then
		XPExtendedOverlayFrame:Hide();
		XPExtended_ShowText = "false";
		XPExtendedOptions_TextToggleButton:SetChecked(XPExtended_ShowText);
	else
		XPExtendedOverlayFrame:Show();
		XPExtended_ShowText = "true";
		XPExtendedOptions_TextToggleButton:SetChecked(XPExtended_ShowText);
	end
end
 function XPExtendedOptions_RepToggle()
	if(XPExtended_ShowRep == "true") then
		XPExtendedReputationFrame:Hide();
		XPExtended_ShowRep = "false";
		XPExtendedOptions_RepToggleButton:SetChecked(XPExtended_ShowRep);
	else
		XPExtendedReputationFrame:Show();
		XPExtended_ShowRep = "true";
		XPExtendedOptions_RepToggleButton:SetChecked(XPExtended_ShowRep);
	end
end
function XPExtendedOptions_Size(value)
	getglobal(XPExtendedOptions_TextSizeSlider:GetName().."High"):SetText(value);
	XPExtendedOptions_TextSizeSlider:SetValue(value);
	XPExtended_TextSize = value;
	RestedXPExtendedExpText:SetTextHeight(value);
	XPExtendedExpText:SetTextHeight(value);
	XPExtendedStandingText:SetTextHeight(value);
	XPExtendedRepText:SetTextHeight(value);
end
function XPExtendedOptions_Open()
	XPExtendedOptions:Show();
end